# 1. Introducing Mojito #

## What is Mojito? ##

Mojito is a model-view-controller (MVC) application framework built on YUI 3 that 
enables agile development of Web applications. Mojito allows developers to use a 
combination of configuration and MVC architecture to create applications. Because 
client and server components are both written in JavaScript, Mojito can run on the 
client (browser) or the server (Node.js).


## Why Mojito? ##


- **One Language** - JavaScript runs on both the client and server.
- __Two Runtimes__ - Your application code can be configured to run on the server or be 
  deployed to the client.
- __Views for Different Devices__ - You create custom views for different devices, and Mojito 
  will render and serve the correct device-specific views.
- __Progressive Enhancement__ - Mojito allows you to serve code to the client, so that your 
  users can use the rich interactive features of their devices, but Mojito also allows 
  you to handle cases when the client has not enabled JavaScript.
- __Localization and Internationalization__ - Mojito is built on YUI 3, which has an internationalization utility 
  that allows you to handle monolingual and multilingual applications. 

## Learn More ##

- [Mojito: Overview](http://developer.yahoo.com/cocktails/mojito/docs/intro/mojito_overview.html)
- [Mojito: A Quick Tour](http://developer.yahoo.com/cocktails/mojito/docs/intro/mojito_quicktour.html)
- [Mojito Architecture](http://developer.yahoo.com/cocktails/mojito/docs/intro/mojito_architecture.html)
